<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Flex Exercise</title>
    <style>
        * {
            font-family: Calibri;
            margin: 0;
            padding: 0;
            font-size: 1.1em;
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }

        #container {
            width: 100%;
            height: 100%;
            display: flex;
            flex-wrap: wrap;
        }

        #header {
            flex: 100%;
            background: lightpink;
            height: 150px;
            order: 1;
        }

        #left {
            flex: 2;
            background: palegreen;
            height: calc(100% - 200px);
            order: 2;
        }

        #main {
            flex: 4;
            background: grey;
            order: 4;
        }

        #right {
            flex: 1;
            background: orangered;
            order: 3;
        }

        #footer {
            flex: 100%;
            background: plum;
            height: 50px;
            order: 5;
        }

        @media screen and (max-width: 500px) {
            #main {
                flex: 100%;
                height: calc(100% - 200px - 25%);
            }

            #left {
                flex: 1;
                height: 25%;
            }
        }
    </style>
</head>

<body>
    <div id="container">
        <div id="header">
            header
        </div>
        <div id="left">
            left
        </div>
        <div id="main">
            main
        </div>
        <div id="right">
            right
        </div>
        <div id="footer">
            footer
        </div>
    </div>
</body>

</html>